# Method: accounts.priceAccuracyViews.summarize

- [HTTP request](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.priceAccuracyViews/summarize#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.priceAccuracyViews/summarize#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.priceAccuracyViews/summarize#body.request_body)
- [Response body](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.priceAccuracyViews/summarize#body.response_body)
  - [JSON representation](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.priceAccuracyViews/summarize#body.SummarizePriceAccuracyResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.priceAccuracyViews/summarize#body.aspect)
- [PriceAccuracyState](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.priceAccuracyViews/summarize#PriceAccuracyState)

Returns the price accuracy summary.

### HTTP request

`GET https://travelpartner.googleapis.com/v3/{parent=accounts/*}/priceAccuracyViews:summarize`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` The resource name of the account that is being queried. The format is `accounts/{account_id}`. |

### Request body

The request body must be empty.

### Response body

Response message for `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.priceAccuracyViews/summarize#google.travel.travelpartner.v3.PriceAccuracyViewService.SummarizePriceAccuracy`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "currentScore": enum (`https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.priceAccuracyViews/summarize#PriceAccuracyState`), "currentWebsiteScore": enum (`https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.priceAccuracyViews/summarize#PriceAccuracyState`), "currentBookOnGoogleScore": enum (`https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.priceAccuracyViews/summarize#PriceAccuracyState`), "currentOverallScore": enum (`https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.priceAccuracyViews/summarize#PriceAccuracyState`), "updateTime": string, "predictedScore": enum (`https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.priceAccuracyViews/summarize#PriceAccuracyState`), "predictedWebsiteScore": enum (`https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.priceAccuracyViews/summarize#PriceAccuracyState`), "predictedBookOnGoogleScore": enum (`https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.priceAccuracyViews/summarize#PriceAccuracyState`), "predictedOverallScore": enum (`https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.priceAccuracyViews/summarize#PriceAccuracyState`) } ``` |

| Fields ||
|---|---|
| `currentScore (deprecated)` | ``enum (`https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.priceAccuracyViews/summarize#PriceAccuracyState`)`` > [!WARNING] > This item is deprecated! The current price accuracy score. Contains the same value as `currentWebsiteScore`. For clarity, use either `currentWebsiteScore` or 'currentOverallScore\` depending upon which is needed. |
| `currentWebsiteScore` | ``enum (`https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.priceAccuracyViews/summarize#PriceAccuracyState`)`` The current website price accuracy score. |
| `currentBookOnGoogleScore` | ``enum (`https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.priceAccuracyViews/summarize#PriceAccuracyState`)`` The current Book on Google price accuracy score. |
| `currentOverallScore` | ``enum (`https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.priceAccuracyViews/summarize#PriceAccuracyState`)`` The current price accuracy score combining both website and Book on Google scores. |
| `updateTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` The update timestamp for the current score. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| `predictedScore (deprecated)` | ``enum (`https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.priceAccuracyViews/summarize#PriceAccuracyState`)`` > [!WARNING] > This item is deprecated! The predicted price accuracy score. Contains the same value as `predictedWebsiteScore`. For clarity, use either `predictedWebsiteScore` or 'predictedOverallScore\` depending upon which is needed. |
| `predictedWebsiteScore` | ``enum (`https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.priceAccuracyViews/summarize#PriceAccuracyState`)`` The predicted website price accuracy score. |
| `predictedBookOnGoogleScore` | ``enum (`https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.priceAccuracyViews/summarize#PriceAccuracyState`)`` The predicted Book on Google price accuracy score. |
| `predictedOverallScore` | ``enum (`https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.priceAccuracyViews/summarize#PriceAccuracyState`)`` The predicted price accuracy score combining both website and Book on Google scores. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/travelpartner`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## PriceAccuracyState

Enumerates supported price accuracy states.

| Enums ||
|---|---|
| `PRICE_ACCURACY_STATE_UNSPECIFIED` | Not specified. |
| `PRICE_ACCURACY_STATE_UNKNOWN` | The value is unknown in this version. |
| `EXCELLENT` | Average score exceeds the positioning threshold. |
| `GOOD` | Average score is slightly below the positioning threshold. "Good" has been renamed to "Fair" in Hotel Center. |
| `POOR` | Average score is well below the positioning threshold. |
| `AT_RISK` | Average score is close to the account suspension threshold. |
| `FAILED` | Average score is below the account suspension threshold. |